Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 356963 - gnome-extra/bug-buddy-2.32.0-r2 failed (compile phase):
Summary: gnome-extra/bug-buddy-2.32.0-r2 failed (compile phase):
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-01 12:50 UTC by fkhp
Modified: 2011-03-01 23:09 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
log (build.log,28.32 KB, text/plain)
2011-03-01 12:55 UTC, fkhp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fkhp 2011-03-01 12:50:51 UTC
libtool: link: x86_64-pc-linux-gnu-gcc -mtune=core2 -march=core2 -O2 -msse4.1 -pipe -Wl,-O1 -o bug-buddy bug-buddy.o elf.o bugzilla.o gdb-buddy.o distribution.o proccess.o eds-buddy.o -pthread -Wl,--export-dynamic -Wl,-R/usr/lib64 -pthread -Wl,--export-dynamic  -Wl,--as-needed /usr/lib64/libbonobo-2.so -L/usr/lib64 /usr/lib64/libbonobo-activation.so /usr/lib64/libORBitCosNaming-2.so /usr/lib64/libgtk-x11-2.0.so /usr/lib64/libgdk-x11-2.0.so -L/usr/lib64/qt4 -L/usr/lib /usr/lib64/libgtop-2.0.so /usr/lib64/libebook-1.2.so -lgtk-x11-3.0 -lgdk-x11-3.0 /usr/lib64/libatk-1.0.so /usr/lib64/libpangocairo-1.0.so /usr/lib64/libcairo.so /usr/lib64/libpangoft2-1.0.so /usr/lib64/libpango-1.0.so /usr/lib64/libgdk_pixbuf-2.0.so /usr/lib64/libpixman-1.so /usr/lib64/libfontconfig.so /usr/lib64/libpng14.so /usr/lib64/libxcb-shm.so /usr/lib64/libxcb-render.so /usr/lib64/libXrender.so /usr/lib64/qt4/libQtGui.so /usr/lib64/libX11.so /usr/lib64/libxcb.so /usr/lib64/qt4/libQtCore.so /usr/lib64/libXau.so /usr/lib64/libXdmcp.so -lGL -lEGL /usr/lib64/libfreetype.so /usr/lib64/libexpat.so /usr/lib64/libgdata.so /usr/lib64/libsoup-gnome-2.4.so /usr/lib64/libgnome-keyring.so -lproxy /usr/lib64/libeggdbus-1.so /usr/lib64/libdbus-glib-1.so -ldbus-1 /usr/lib64/libcamel-1.2.so /usr/lib64/libedataserver-1.2.so /usr/lib64/libsqlite3.so -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 /usr/lib64/libgconf-2.so /usr/lib64/libORBit-2.so /usr/lib64/libsoup-2.4.so /usr/lib64/libxml2.so -licui18n -licuuc -licudata -lm /usr/lib64/libgnutls.so /usr/lib64/libtasn1.so /usr/lib64/libgcrypt.so /usr/lib64/libgpg-error.so /usr/lib64/libgio-2.0.so -lresolv -lz /usr/lib64/libgobject-2.0.so /usr/lib64/libgmodule-2.0.so -ldl /usr/lib64/libgthread-2.0.so -lpthread /usr/lib64/libglib-2.0.so -lrt -lelf -pthread
/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lgtk-x11-3.0
/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lgdk-x11-3.0
collect2: ld returned 1 exit status
make[2]: *** [bug-buddy] 错误 1
make[2]: 离开目录“/var/tmp/portage/gnome-extra/bug-buddy-2.32.0-r2/work/bug-buddy-2.32.0/src”
make[1]: *** [all-recursive] 错误 1
make[1]: 离开目录“/var/tmp/portage/gnome-extra/bug-buddy-2.32.0-r2/work/bug-buddy-2.32.0”
make: *** [all] 错误 2
emake failed
 * ERROR: gnome-extra/bug-buddy-2.32.0-r2 failed (compile phase):


Reproducible: Always
Comment 1 fkhp 2011-03-01 12:55:55 UTC
Created attachment 264255 [details]
log

# emerge --info bug-buddy
Portage 2.1.9.41 (default/linux/amd64/10.0, gcc-4.5.2, glibc-2.13-r1, 2.6.36-ccs-r5 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.36-ccs-r5-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9300_@_2.50GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 01 Mar 2011 08:30:01 +0000
ccache version 3.1.4 [disabled]
app-shells/bash:     4.1_p10
dev-java/java-config: 2.1.11-r3::<unknown repository>
dev-lang/python:     2.6.6-r2, 2.7.1-r1, 3.1.3-r1
dev-util/ccache:     3.1.4
dev-util/cmake:      2.8.4
sys-apps/baselayout: 2.0.1-r1::<unknown repository>
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.5
sys-devel/autoconf:  2.13::<unknown repository>, 2.68::<unknown repository>
sys-devel/automake:  1.9.6-r3::<unknown repository>, 1.10.3::<unknown repository>, 1.11.1::<unknown repository>
sys-devel/binutils:  2.21::<unknown repository>
sys-devel/gcc:       4.4.5::<unknown repository>, 4.5.2::<unknown repository>
sys-devel/gcc-config: 1.4.1::<unknown repository>
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82::<unknown repository>
virtual/os-headers:  2.6.36.1::<unknown repository> (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-mtune=core2 -march=core2 -O2 -msse4.1 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.2/ext-active/ /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.2/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.2/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-mtune=core2 -march=core2 -O2 -msse4.1 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs collision-protect distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://gentoo.netnitco.net/ "
LANG="zh_CN.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="zh_CN en_US zh en"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/x11 /var/lib/layman/vmware /var/lib/layman/gentoo-china /var/lib/layman/gentoo-taiwan /var/lib/layman/sunrise /var/lib/layman/mozilla /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acl acpi alsa amd64 ao apache2 avahi bash-completion berkdb branding bzip2 cairo caps cdr cjk cli clutter consolekit cracklib crypt cups cxx dbus dga djvu dri dts dvd dvdr eds emboss encode evo examples exif fam ffmpeg firefox flac fortran gdbm gdu gif gimp gnome gnome-keyring gphoto2 gpm gstreamer gtk guile i18n iconv icu ipv6 jadetex java jpeg jpeg2k latex lcms ldap libnotify mad midi mikmod mmap mmx mng modules mp3 mp4 mpeg mudflap multilib mysql nas nautilus ncurses networkmanager nfs nls nntp nptl nptlonly nsplugin nvidia ogg opengl openmp pam pango pch pcre pda pdf perl php png policykit ppds pppd pulseaudio python qt3support qt4 readline samba scsi sdl session smp snmp spell sqlite sse sse2 sse3 ssl ssse3 startup-notification suid svg sysfs tcpd threads tiff tk truetype unicode usb v4l2 vim-syntax vorbis x264 xattr xcb xml xmp xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="ens1370 hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="zh_CN en_US zh en" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vmwgfx vmwlegacy nouveau nvidia nv vmware vesa svga" XTABLES_ADDONS="cui gfw zhang ipset" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

gnome-extra/bug-buddy-2.32.0 was built with the following:
USE="eds"
CFLAGS="-mtune=core2 -march=core2 -O2 -msse4.1 -pipe -ftracer"
CXXFLAGS="-mtune=core2 -march=core2 -O2 -msse4.1 -pipe -ftracer"
LDFLAGS="-Wl,-O1"
Comment 2 Gilles Dartiguelongue gentoo-dev 2011-03-01 13:10:11 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2/../../../../x86_64-pc-linux-gnu/bin/ld:
cannot find -lgdk-x11-3.0

You pulled gtk3 not from the tree nor the gnome overlay.
Comment 3 fkhp 2011-03-01 13:22:09 UTC
cd /usr/lib64/pkg*
gentoo pkgconfig # ls *11-3*
gdk-x11-3.0.pc  gtk+-x11-3.0.pc
gentoo pkgconfig # ls *11-3* -l
-rw-r--r-- 1 root root 265  2月 28 22:31 gdk-x11-3.0.pc
-rw-r--r-- 1 root root 363  2月 28 22:31 gtk+-x11-3.0.pc
gentoo pkgconfig # equery b gdk-x11-3.0.pc; equery  b gtk+-x11-3.0.pc
 * Searching for gdk-x11-3.0.pc ... 
x11-libs/gtk+-3.0.1-r1 (/usr/lib64/pkgconfig/gdk-x11-3.0.pc)
 * Searching for gtk+-x11-3.0.pc ... 
x11-libs/gtk+-3.0.1-r1 (/usr/lib64/pkgconfig/gtk+-x11-3.0.pc)

gentoo pkgconfig # cat *11-3*
prefix=/usr
exec_prefix=${prefix}
libdir=/usr/lib64
includedir=${prefix}/include
targets=x11

Name: GDK
Description: GTK+ Drawing Kit
Version: 3.0.1
Requires: pango pangocairo gdk-pixbuf-2.0 cairo-gobject
Libs: -L${libdir} -lgdk-3 
Cflags: -I${includedir}/gtk-3.0 
prefix=/usr
exec_prefix=${prefix}
libdir=/usr/lib64
includedir=${prefix}/include
targets=x11

gtk_binary_version=3.0.0
gtk_host=x86_64-pc-linux-gnu

Name: GTK+
Description: GTK+ Graphical UI Library
Version: 3.0.1
Requires: gdk-3.0 atk cairo cairo-gobject gdk-pixbuf-2.0 gio-2.0 pangoft2
Libs: -L${libdir} -lgtk-3 
Cflags: -I${includedir}/gtk-3.0  -DGSEAL_ENABLE



Comment 4 fkhp 2011-03-01 13:23:44 UTC
gtk+-3.0.1-r1 is from Overlay: gnome (layman)
Comment 5 fkhp 2011-03-01 13:27:01 UTC
(In reply to comment #4)
> gtk+-3.0.1-r1 is from Overlay: gnome (layman)
> 

ld flags seem chaged to 
    -lgtk-3 
    -lgdk-3 
Comment 6 fkhp 2011-03-01 13:31:24 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > gtk+-3.0.1-r1 is from Overlay: gnome (layman)
> > 
> 
> ld flags seem chaged to 
>     -lgtk-3 
>     -lgdk-3 
> 

same problem hapened while emerging gnome-base/gnome-panel-2.32.1-r1 and mail-client/evolution-2.32.2-r1
Comment 7 fkhp 2011-03-01 23:09:49 UTC
this problem is caused by several previous libtool auto generated la files, left behind by emerge uninstall of previous version of libtool:

libebook-1.2.la
libecal-1.2.la